real(8) function ULP(x)
! Computes ULP(x) for a real(8) x: 
! ULP(x) = "Unit in the Last Place".
! exponent(x): exponentul lui x in modelul de reprezentare (stiintific).
real(8) x

ULP =2.d0**(exponent(x) -53)
END
